<?php
/*------------------------------------------------------------------------
# plg_user_authorlist - AuthorList User Plugin
# ------------------------------------------------------------------------
# author    Joomla!Vargas
# copyright Copyright (C) 2010 joomla.vargas.co.cr. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomla.vargas.co.cr
# Technical Support:  Forum - http://joomla.vargas.co.cr/forum
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

class plgUserAuthorlist extends JPlugin
{
	public function onUserAfterDelete($user, $succes, $msg)
	{
		if (!$succes) {
			return false;
		}

		$db = JFactory::getDbo();
		$db->setQuery(
			'DELETE FROM '.$db->quoteName('#__authorlist') .
			' WHERE '.$db->quoteName('userid').' = '.(int) $user['id']
		);
		$db->Query();

		return true;
	}

	public function onUserAfterSave($user, $isnew, $success, $msg)
	{
		if ( $isnew ) :
		
			$db = JFactory::getDbo();
			$date = JFactory::getDate();
			
			$version = new JVersion; 
			if (version_compare($version->getShortVersion(),'3.0') >= 0 ) : 
				$created = $date->toSQL();
			else :
				$created = $date->toMySQL(); 
			endif;
		
			$query =
				'INSERT INTO '.$db->quoteName('#__authorlist') .
				' ('.$db->quoteName('userid').', 
				   '.$db->quoteName('alias').', 
				   '.$db->quoteName('state').', 
				   '.$db->quoteName('access').', 
				   '.$db->quoteName('created').', 
				   '.$db->quoteName('created_by').'
				   ) 
				VALUES (
				   '.(int) $user['id'].', 
				   "'.$user['username'].'", 
				   1 , 
				   '.$this->params->get("access").' , 
				   "'.$created.'", 
				   '.(int) $user['id'].'
				   )';
			
			$db->setQuery($query);
			
			$db->Query();
			
		endif;

		return true;
	}
}
